API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/webspaces/{id}/cronjobs/{cid}

PATCH/v1/webspaces/{id}/cronjobs/{cid}

Update a cronjob

Datenmodell

Diese Operation arbeitet auf der Entität webspace (webspace). Alle 32 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
schedulestring
commandstring
enabledboolean
notifyOnErrorboolean
notifyEmailstring
tagsstring[]

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring
ciderforderlichstring

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/webspaces/{id}/cronjobs/{cid} \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "schedule": "string",
  "command": "string",
  "enabled": false,
  "notifyOnError": false,
  "notifyEmail": "string",
  "tags": []
}'
const result = await cm.webspaces.patch({
  "schedule": "string",
  "command": "string",
  "enabled": false,
  "notifyOnError": false,
  "notifyEmail": "string",
  "tags": []
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche